import { Partner } from "@/components/partner";
import { Rule } from "@/components/rule";
import { Partners } from "@/config/Partners";

const Polycule = (): JSX.Element => {
  return (
    <>
      <main className="w-[95%] text-center max-w-4xl m-auto mt-16 mb-16 rounded-lg">
        <h1 className="text-5xl">Naomi&apos;s Polycule</h1>
        <section>
          <p className="mb-2">
            Meet the people who love and support Naomi to the ends of the earth.
          </p>
          <Rule />
          <div className="w-full">
            {Partners.map((member) => (
              <Partner
                key={member.name}
                name={member.name}
                url={member.url}
                avatar={member.avatar}
                anniversary={member.anniversary}
                relationship={member.relationship}
              />
            ))}
          </div>
        </section>
      </main>
    </>
  );
};

export default Polycule;
